Page MenuHomePhabricator

efl.text_markup: move cursor-related methods to efl.text_markup_interactive
ClosedPublic

Authored by zmike on Jan 25 2019, 11:13 AM.

Details

Summary

many users of the markup property are not interactive text cases, so splitting
off the interactive methods resolves a number of unimplemented method issues

ref T5719

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 25 2019, 11:13 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Jan 25 2019, 11:13 AM
bu5hm4n requested changes to this revision.Jan 26 2019, 3:22 AM
bu5hm4n added a subscriber: bu5hm4n.

Patch does not apply on current master ...

This revision now requires changes to proceed.Jan 26 2019, 3:22 AM
zmike requested review of this revision.Jan 28 2019, 5:28 AM

I just applied it without issues on master.

Applying: efl.text_markup: move cursor-related methods to efl.text_markup_interactive
error: patch failed: src/lib/edje/efl_canvas_layout_part_invalid.eo:1
error: src/lib/edje/efl_canvas_layout_part_invalid.eo: patch does not apply
.git/rebase-apply/patch:206: new blank line at EOF.
+
Patch failed at 0001 efl.text_markup: move cursor-related methods to efl.text_markup_interactive
hint: Use 'git am --show-current-patch' to see the failed patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
zmike added a comment.Jan 28 2019, 6:08 AM

Dunno what to tell you other than probably your tree is messed up somehow. I'm on a clean checkout on master and it's fine.

bu5hm4n resigned from this revision.Jan 28 2019, 6:15 AM

I this case someone else should review this i think ... :(

Does not apply for me either using arc patch D7787, on a clean checkout of master :/

Checking patch src/lib/edje/efl_canvas_layout_part_invalid.eo...
error: while searching for:
class Efl.Canvas.Layout_Part_Invalid extends Efl.Canvas.Layout_Part implements Efl.Content,
                                      Efl.Pack_Linear, Efl.Ui.Direction,
                                      Efl.Pack_Table, Efl.Text,
                                      Efl.Text_Markup
{
   [[Common class for part proxy objects for @Efl.Canvas.Layout.


error: patch failed: src/lib/edje/efl_canvas_layout_part_invalid.eo:1
bu5hm4n accepted this revision.Jan 28 2019, 8:32 AM

Great reduction. :)

src/lib/edje/efl_canvas_layout_part_invalid.eo
2

This patch is not rebased on latest master, since this is not Efl.Ui.Direction_Readonly.

This revision is now accepted and ready to land.Jan 28 2019, 8:32 AM
zmike added a comment.Jan 28 2019, 8:54 AM

I'm super confused. In the diff here it seems to match what you're describing. Locally it matches what you're describing too. In the branch that I pushed it also matches what you're describing.

Closed by commit rEFL9aca866fd13b: efl.text_markup: move cursor-related methods to efl.text_markup_interactive (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 30 2019, 4:33 AM
This revision was automatically updated to reflect the committed changes.